# Cancel authorization Perform a full cancellation of an authorization. The authorization must have the status `PENDING` or `PROCESSED` and must also not have been previously confirmed (cleared). This endpoint generates a [Network authorization received](https://developers.pismo.io/events/docs/networktransactions-network-authorization-1) event. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Authorization", "version": "1.0.0", "description": "Model for network-authorizations-api development - v1.0", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" }, { "url": "https://api-networktransactions-http-ext.pismolabs.io", "description": "Sandbox API server for migration testing" } ], "tags": [ { "name": "Authorizations" } ], "security": [ { "BearerAuth": [] } ], "components": { "schemas": { "CancellationRequest": { "type": "object", "description": "Transaction payload", "properties": { "network_authorization_id": { "type": "integer", "description": "Authorization ID—this field is mandatory if the `authorization_code` field is not provided.", "example": 1231232 }, "authorization_code": { "type": "string", "description": "Authorization code—this field is mandatory if the `network_authorization_id` field is not provided.", "example": "000SHK" }, "transaction_identifier": { "type": "string", "description": "Transaction ID", "example": "ZZIR8T" }, "retrieval_reference_number": { "type": "string", "description": "Number generated by merchant point of sale (POS) system.", "example": "000000000000355" }, "card_id": { "type": "integer", "description": "Transaction card ID", "example": 124123 }, "origin": { "type": "string", "maxLength": 15, "description": "This field identifies the origin of the operation to be cancelled as MIGRATION, ONUS, or STRIKER.", "example": "ONUS" } }, "required": [ "network_authorization_id", "authorization_code", "card_id" ] }, "CancellationResponse": { "type": "object", "properties": { "message": { "type": "string", "description": "Success message", "example": "Success" } }, "required": [ "message" ] } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "The request is acceptable but the syntax is malformed, for example, some type number parameter with a text content." }, "403Forbidden": { "description": "Access forbidden." }, "404NotFound": { "description": "Specified resource was not found" }, "409Conflict": { "description": "The specified resource status conflict with the current request" }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/direct-network-transactions/v1/cancellation": { "post": { "description": "Perform a full cancellation of an authorization. The authorization must have the status `PENDING` or `PROCESSED` and must also not have been previously confirmed (cleared).\nThis endpoint generates a [Network authorization received](https://developers.pismo.io/events/docs/networktransactions-network-authorization-1) event.\n", "summary": "Cancel authorization", "operationId": "cancel-network-authorizations", "tags": [ "Authorizations" ], "parameters": [], "requestBody": { "description": "Form details", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CancellationRequest" } } } }, "responses": { "200": { "description": "Full cancellation accepted", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CancellationResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "404": { "$ref": "#/components/responses/404NotFound" }, "409": { "$ref": "#/components/responses/409Conflict" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```